<!--
 * Copyright 2008 IHE International (http://www.ihe.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
-->
<e:workbook xmlns:e="http://jboss.org/schema/seam/excel" xmlns:f="http://java.sun.com/jsf/core">
    <e:worksheet name="listTestsAsCSV" startColumn="0" startRow="0"
                 value="#{testsDefinitionsAdministrationManager.getListOfTestsAsList()}" var="#{'foundTest'}">
        <e:header>
            <f:facet name="left">
                #{messages['gazelle.tm.ThisDocumentWasMadeOndateAndHastotalpagesPagesIt_2']}.
            </f:facet>
            <f:facet name="right">
                ##{messages['gazelle.users.Time']}#
            </f:facet>
        </e:header>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.productregistry.search.Id']}"/>
            </f:facet>
            <e:cell value="#{foundTest.id}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.testmanagement.object.keyword']}"/>
            </f:facet>
            <e:cell value="#{foundTest.keyword}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.testmanagement.object.Name']}"/>
            </f:facet>
            <e:cell value="#{foundTest.name}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.systems.system.SystemVersion']}"/>
            </f:facet>
            <e:cell value="#{foundTest.version}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.tm.tests.testStatus']}"/>
            </f:facet>
            <e:cell value="#{foundTest.testStatus.labelToDisplay}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.systems.session.Type']}"/>
            </f:facet>
            <e:cell value="#{foundTest.testType.labelToDisplay}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.tm.tests.testPeerType']}"/>
            </f:facet>
            <e:cell value="#{messages[foundTest.testPeerType.labelToDisplay]}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['net.ihe.gazelle.tm.IsValidated']}"/>
            </f:facet>
            <e:cell value="#{foundTest.validated.toString()}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['net.ihe.gazelle.tm.TestAuthor']}"/>
            </f:facet>
            <e:cell value="#{testsDefinitionsAdministrationManager.getUserName(foundTest.author)}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.common.LastModifier']}"/>
            </f:facet>
            <e:cell value="#{testsDefinitionsAdministrationManager.getUserName(foundTest.lastModifierId)}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.common.LastChanged']}"/>
            </f:facet>
            <e:cell value="#{foundTest.lastChanged}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['net.ihe.gazelle.tm.ShortDescription']}"/>
            </f:facet>
            <e:cell value="#{foundTest.shortDescription}"/>
        </e:column>
        <e:column>
            <f:facet name="header">
                <e:cell value="#{messages['gazelle.tm.patient.PermanentLink']}"/>
            </f:facet>
            <e:cell value="#{testsDefinitionsAdministrationManager.getTestPermalink(foundTest)}"/>
        </e:column>
    </e:worksheet>
</e:workbook>
